package com.yuandian.dataflow.statemachine.state;

import java.io.Serializable;

import org.apache.ratis.protocol.RaftPeer;
import org.apache.ratis.protocol.RaftPeerId;

import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.extern.slf4j.Slf4j;

@Slf4j
@Getter
@Setter
@ToString
public class Peer implements Serializable  {

    public Peer(String raftPeerId) {
        this.raftPeerId = raftPeerId;
    }

    public Peer() {
        
    }

    private String raftPeerId;
    private int processorPort;

    @Override
    public boolean equals(Object other) {
        return getRaftPeerId().hashCode() == ((Peer)other).getRaftPeerId().hashCode();
    }
    
    @Override
    public int hashCode() {
        return getRaftPeerId().hashCode() ;
    }

}
